SDL_GPUTransferBuffer(3type)

NAME
SDL_GPUTransferBuffer - An opaque handle representing a transfer buffer.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

typedef struct SDL_GPUTransferBuffer SDL_GPUTransferBuffer;

DESCRIPTION
Used for transferring data to and from the device.

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
SDL_CreateGPUTransferBuffer(3), SDL_MapGPUTransferBuffer(3), SDL_UnmapGPUTransferBuffer(3), SDL_UploadToGPUBuffer(3), SDL_UploadToGPUTexture(3), SDL_DownloadFromGPUBuffer(3), SDL_DownloadFromGPUTexture(3), SDL_ReleaseGPUTransferBuffer(3)